package com.yd.dal.service.user;

import com.yd.dal.entity.user.AclUser;
import org.springframework.stereotype.Service;

import java.util.List;

@Service("aclUserDALService")
public interface AclUserDALService {
    int deleteByPrimaryKey(Long id);

    int insert(AclUser record);

    int insertSelective(AclUser record);

    AclUser selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(AclUser record);

    int updateByPrimaryKey(AclUser record);
    
    List<AclUser> findByIds(List<Long> userIdList);
}
